%define major 1
%define libname %mklibname enchant %{major}

Summary:	An enchanting spell checking library
Name:		enchant
Version:	1.2.6
Release:	%mkrel 2
License:	LGPL
Group:		System/Libraries
URL:		http://www.abisource.com/enchant/
Source0:	http://www.abisource.com/downloads/enchant/%{version}/%{name}-%{version}.tar.bz2
# mpol: change default ordering for nl; first myspell
Patch0:		enchant-1.2.0-ordering-nl.patch.bz2
Patch1:		enchant-voikko-provider-mutexed.patch.bz2
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	aspell-devel
BuildRequires:	pkgconfig
%if %mdkversion >= 200700
BuildRequires:	hspell-devel
BuildRequires:	voikko-devel
%endif
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
A library that wraps other spell checking backends.


%package -n	%{libname}
Summary:	Libraries for enchant
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n	%{libname}
This package provides the libraries for using enchant.


%package -n	%{libname}-devel
Summary:	Libraries and include files for developing with enchant
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel

%description -n	%{libname}-devel
This package provides the necessary development libraries and include
files to allow you to develop with enchant.

%prep

%setup -q
%patch0 -p1 -b .ordering-nl
%patch1 -p1

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*

%build
# this fixes bad relinking (rpath)
rm -f configure
sh ./autogen.sh

%configure2_5x \
     --with-myspell-dir=%{_datadir}/dict/ooo

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%find_lang %name

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB HACKING README TODO
%{_bindir}/*
%{_datadir}/enchant
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*
%dir %{_libdir}/enchant
# todo: split backends in seperate packages?
# (anssi) nope. nothing would pull them, then
%{_libdir}/enchant/lib*.so*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.a
#%{_libdir}/enchant/*.so
%{_libdir}/enchant/*.a
%attr(644,root,root) %{_libdir}/enchant/*.la
%{_libdir}/pkgconfig/enchant.pc
%dir %{_includedir}/enchant
%{_includedir}/enchant/*

%changelog
* Tue Aug 22 2006 Anssi Hannula <anssi@mandriva.org> 1.2.6-2mdv2007.0
- add voikko provider plugin (patch1)
- fix buildrequires

* Mon Jul 31 2006 Jerome Soyer <saispo@mandriva.org> 1.2.6-1mdv2007.0
- New release 1.2.6

* Sat Mar 11 2006 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdk
- New release 1.2.3

* Fri Nov 25 2005 Marcel Pol <mpol@mandriva.org> 1.2.0-2mdk
- P0: fix ordering for nl

* Thu Nov 03 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdk
- 1.2.0
- added one lib64 fix
- don't nuke the *.la files

* Sat Jul 30 2005 Marcel Pol <mpol@mandriva.org> 1.1.5-3mdk
- define mysqldir at configure time
- %%mkrel

* Fri Jul 29 2005 Marcel Pol <mpol@mandriva.org> 1.1.5-2mdk
- add enchant.ordering
- for Dutch prefer myspell above aspell
- add symlink to myspell dictionaries

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 1.1.5-1mdk
- 1.1.5

* Sun Sep 26 2004 Marcel Pol <mpol@mandrake.org> 1.1.2-3mdk
- move backend files from devel to library package

* Fri Jun 11 2004 Marcel Pol <mpol@mandrake.org> 1.1.2-2mdk
- rebuild

* Wed Dec 10 2003 Marcel Pol <mpol@mandrake.org> 1.1.2-1mdk
- 1.1.2

* Tue Oct 28 2003 Marcel Pol <mpol@gmx.net> 1.1.1-1mdk
- mandrake release

* Wed Jul 16 2003 Rui Miguel Seabra <rms@1407.org>
- take advantage of environment rpm macros

* Sun Jul 13 2003 Dom Lachowicz <cinamod@hotmail.com>
- Initial version
